## gnome-weather 46.0

=== debian/changelog ===
gnome-weather (46.0-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 11:05:09 -0400

=== debian/control ===
Source: gnome-weather
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: appstream-util <!nocheck>,
                     desktop-file-utils <!nocheck>,
                     geoclue-2.0,
                     itstool,
                     libadwaita-1-dev (>= 1.4~beta),
                     libgdk-pixbuf-2.0-dev,
                     libgeoclue-2-dev (>= 0.12.99),
                     libgirepository1.0-dev (>= 1.35.9),
                     libgjs-dev (>= 1.50.0),
                     libglib2.0-dev,
                     libgtk-4-dev (>= 4.5),
                     libgweather-4-dev (>= 3.90.0),
                     libxml2-utils,
                     meson (>= 0.50),
                     pkgconf
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-weather
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-weather.git
Homepage: https://apps.gnome.org/Weather/

Package: gnome-weather
Architecture: all
Depends: geoclue-2.0 (>= 2.3.1),
         gir1.2-adw-1 (>= 1.4~beta),
         gir1.2-geoclue-2.0 (>= 0.12.99),
         gir1.2-glib-2.0 (>= 1.35.9),
         gir1.2-gtk-4.0 (>= 4.5),
         gir1.2-gweather-4.0 (>= 3.90.0),
         gjs (>= 1.71.0),
         libglib2.0-bin (>= 2.40),
         ${misc:Depends}
Description: access current conditions and forecasts
 Weather is a small application for GNOME that allows one to monitor the
 current weather conditions for a city, or anywhere in the world, and
 to access updated forecasts provided by various internet services.

## gnome-weather 47.0

=== debian/changelog ===
gnome-weather (47.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 14:17:12 -0400

gnome-weather (47~alpha-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 17:29:27 -0400

## gnome-weather 48~beta

=== debian/changelog ===
gnome-weather (48~beta-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Feb 2025 16:26:42 -0500

## gnome-weather 48.0

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default'
)
option('dogtail', type: 'boolean', value: false)

=== debian/changelog ===
gnome-weather (48.0-4) unstable; urgency=medium

  * Remove !nocheck annotation from Build-Depends: desktop-file-utils
    (Closes: #1116748)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 30 Sep 2025 11:10:40 -0400

gnome-weather (48.0-3) unstable; urgency=medium

  * Team upload
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/copyright: Update.
    In particular the photographic backgrounds listed in data/CREDITS
    are no longer included.
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/salsa-ci.yml: Add

 -- Simon McVittie <smcv@debian.org>  Sun, 07 Sep 2025 14:14:54 +0100

gnome-weather (48.0-2) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 09:19:27 +0200

gnome-weather (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 13:53:53 -0400

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,21 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: appstream-util <!nocheck>,
-                     desktop-file-utils <!nocheck>,
+Build-Depends-Indep: appstream <!nocheck>,
+                     desktop-file-utils,
                      geoclue-2.0,
+                     gobject-introspection (>= 1.80),
                      itstool,
                      libadwaita-1-dev (>= 1.4~beta),
                      libgdk-pixbuf-2.0-dev,
                      libgeoclue-2-dev (>= 0.12.99),
-                     libgirepository1.0-dev (>= 1.35.9),
                      libgjs-dev (>= 1.50.0),
                      libglib2.0-dev,
                      libgtk-4-dev (>= 4.5),
                      libgweather-4-dev (>= 3.90.0),
                      libxml2-utils,
                      meson (>= 0.50),
-                     pkgconf
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-weather
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-weather.git
 Homepage: https://apps.gnome.org/Weather/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@

# https://gitlab.gnome.org/GNOME/gjs/issues/214
override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/lib

## gnome-weather 50~beta

=== debian/changelog ===
gnome-weather (50~beta-1) unstable; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 50.beta
  * Add new build dependency: node-typescript

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 23 Feb 2026 12:19:12 +0100

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                      libgweather-4-dev (>= 3.90.0),
                      libxml2-utils,
                      meson (>= 0.50),
+                     node-typescript,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-weather
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-weather.git
